org.jboss.shrinkwrap.descriptor.api.connector10

## Interface Icon<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface Icon<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `icon` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLargeIcon()` Returns the `large-icon` element
    `java.lang.String` | `getSmallIcon()` Returns the `small-icon` element
    `Icon<T>` | `largeIcon(java.lang.String largeIcon)` Sets the `large-icon` element
    `Icon<T>` | `removeLargeIcon()` Removes the `large-icon` element
    `Icon<T>` | `removeSmallIcon()` Removes the `small-icon` element
    `Icon<T>` | `smallIcon(java.lang.String smallIcon)` Sets the `small-icon` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### smallIcon

          Icon<T> smallIcon(java.lang.String smallIcon)

      Sets the `small-icon` element
      Parameters:
        `smallIcon` - the value for the element `small-icon`
      Returns:
        the current instance of `Icon`

    - #### getSmallIcon

          java.lang.String getSmallIcon()

      Returns the `small-icon` element
      Returns:
        the node defined for the element `small-icon`

    - #### removeSmallIcon

          Icon<T> removeSmallIcon()

      Removes the `small-icon` element
      Returns:
        the current instance of `Icon`

    - #### largeIcon

          Icon<T> largeIcon(java.lang.String largeIcon)

      Sets the `large-icon` element
      Parameters:
        `largeIcon` - the value for the element `large-icon`
      Returns:
        the current instance of `Icon`

    - #### getLargeIcon

          java.lang.String getLargeIcon()

      Returns the `large-icon` element
      Returns:
        the node defined for the element `large-icon`

    - #### removeLargeIcon

          Icon<T> removeLargeIcon()

      Removes the `large-icon` element
      Returns:
        the current instance of `Icon`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)